(in-package :cl-user)

(defpackage #:contextl
  (:use #:closer-common-lisp #:lispworks)
  (:export
   #:*symbol-access*
   #:-slot-value-using-layer-
   #:-slot-boundp-using-layer-
   #:-slot-makunbound-using-layer-
   #:activate-layer
   #:apply-in-layers
   #:class-layer
   #:define-layered-class
   #:define-layered-function
   #:deflayer
   #:dletf #:dletf*
   #:ensure-layered-function
   #:find-layer
   #:funcall-in-layers
   #:make-special-symbol
   #:layer-active-p
   #:layer-name
   #:layer-prototype
   #:layered-access-class
   #:layered-class
   #:layered-direct-slot-definition
   #:layered-effective-slot-definition
   #:layered-effective-slot-definition-in-layers
   #:partial-class
   #:slot-definition-layer
   #:slot-definition-layeredp
   #:slot-definition-layers
   #:slot-definition-specialp
   #:special-class
   #:special-direct-slot-definition
   #:special-effective-slot-definition
   #:special-effective-slot-definition-in-layers
   #:special-layered-access-class
   #:special-layered-direct-slot-definition
   #:special-layered-effective-slot-definition
   #:special-object
   #:special-symbol-p
   #:standard-class-in-layer
   #:standard-direct-slot-definition-in-layer
   #:standard-effective-slot-definition-in-layers
   #:with-active-layers
   #:with-symbol-access
   #:without-symbol-access))

(defpackage #:contextl-common-lisp
  (:nicknames #:cxcl)
  (:use #:closer-common-lisp #:contextl)
  #.`(:export
      ,@(loop for sym being the external-symbols of :closer-common-lisp
              collect sym)
      ,@(loop for sym being the external-symbols of :contextl
              collect sym)))

(defpackage #:contextl-user
  (:use #:contextl-common-lisp)
  (:nicknames #:cx-user))
